<?php
/*
Plugin Name: Depression Quiz
Plugin URI: https://elevatedaudience.com/plugins
Description: A simple plugin that adds a depression self-assessment quiz to your WordPress site.
Version: 1.0
Author: Elevated Audience
Author URI: https://elevatedaudience.com
License: GPL2
*/


function depression_quiz_shortcode() {
    ob_start(); // Start output buffer capture.
    ?>

    <div id="depressionQuiz">
    <form id="depressionQuizForm">

        <!-- Step 1 -->
        <fieldset class="step">
            <div class="question">
                <p>Question 1</p>
                <label><input type="radio" name="q1" value="0" required> I do not feel sad.</label>
                <label><input type="radio" name="q1" value="1" required> I feel sad.</label>
                <label><input type="radio" name="q1" value="2" required> I am sad all the time and I can't snap out of it.</label>
                <label><input type="radio" name="q1" value="3" required> I am so sad and unhappy that I can't stand it.</label>
            </div>
            <div class="question">
                <p>Question 2</p>
                <label><input type="radio" name="q2" value="0" required> I am not particularly discouraged about the future.</label>
                <label><input type="radio" name="q2" value="1" required> I feel discouraged about the future.</label>
                <label><input type="radio" name="q2" value="2" required> I feel I have nothing to look forward to.</label>
                <label><input type="radio" name="q2" value="3" required> I feel the future is hopeless and that things cannot improve.</label>
            </div>
            <div class="question">
                <p>Question 3</p>
                <label><input type="radio" name="q3" value="0"> I do not feel like a failure.</label>
                <label><input type="radio" name="q3" value="1" required> I feel I have failed more than the average person.</label>
                <label><input type="radio" name="q3" value="2" required> As I look back on my life, all I can see is a lot of failures.</label>
                <label><input type="radio" name="q3" value="3" required> I feel I am a complete failure as a person.</label>
            </div>
        </fieldset>

        <!-- Step 2 -->
		<fieldset class="step">
            <div class="question">
                <p>Question 4</p>
                <label><input type="radio" name="q4" value="0" required> I get as much satisfaction out of things as I used to.</label>
                <label><input type="radio" name="q4" value="1" required> I don't enjoy things the way I used to.</label>
                <label><input type="radio" name="q4" value="2" required> I don't get real satisfaction out of anything anymore.</label>
                <label><input type="radio" name="q4" value="3" required> I am dissatisfied or bored with everything.</label>
            </div>
            <div class="question">
                <p>Question 5</p>
                <label><input type="radio" name="q5" value="0" required> I don't feel particularly guilty.</label>
                <label><input type="radio" name="q5" value="1" required> I feel guilty a good part of the time.</label>
                <label><input type="radio" name="q5" value="2" required> I feel quite guilty most of the time.</label>
                <label><input type="radio" name="q5" value="3" required> I feel guilty all of the time.</label>
            </div>
            <div class="question">
                <p>Question 6</p>
                <label><input type="radio" name="q6" value="0" required> I don't feel I am being punished.</label>
                <label><input type="radio" name="q6" value="1" required> I feel I may be punished.</label>
                <label><input type="radio" name="q6" value="2" required> I expect to be punished.</label>
                <label><input type="radio" name="q6" value="3" required> I feel I am being punished.</label>
            </div>
		</fieldset>


        <!-- Step 3 -->
		<fieldset class="step">
            <div class="question">
                <p>Question 7</p>
                <label><input type="radio" name="q7" value="0" required> I don't feel disappointed in myself.</label>
                <label><input type="radio" name="q7" value="1" required> I am disappointed in myself.</label>
                <label><input type="radio" name="q7" value="2" required> I am disgusted with myself.</label>
                <label><input type="radio" name="q7" value="3" required> I hate myself.</label>
            </div>
            <div class="question">
                <p>Question 8</p>
                <label><input type="radio" name="q8" value="0" required> I don't feel I am any worse than anybody else.</label>
                <label><input type="radio" name="q8" value="1" required> I am critical of myself for my weaknesses or mistakes.</label>
                <label><input type="radio" name="q8" value="2" required> I blame myself all the time for my faults.</label>
                <label><input type="radio" name="q8" value="3" required> I blame myself for everything bad that happens.</label>
            </div>
            <div class="question">
                <p>Question 9</p>
                <label><input type="radio" name="q9" value="0" required> I don't have any thoughts of killing myself.</label>
                <label><input type="radio" name="q9" value="1" required> I have thoughts of killing myself, but I would not carry them out.</label>
                <label><input type="radio" name="q9" value="2" required> I would like to kill myself.</label>
                <label><input type="radio" name="q9" value="3" required> I would kill myself if I had the chance.</label>
            </div>
		</fieldset>

        <!-- Step 4 -->
		<fieldset class="step">
            <div class="question">
                <p>Question 10</p>
                <label><input type="radio" name="q10" value="0" required> I don't cry any more than usual.</label>
                <label><input type="radio" name="q10" value="1" required> I cry more now than I used to.</label>
                <label><input type="radio" name="q10" value="2" required> I cry all the time now.</label>
                <label><input type="radio" name="q10" value="3" required> I used to be able to cry but now I can't cry even though I want to.</label>
            </div>
            <div class="question">
                <p>Question 11</p>
                <label><input type="radio" name="q11" value="0" required> I am no more irritated by things than I ever was.</label>
                <label><input type="radio" name="q11" value="1" required> I am slightly more irritated now than usual.</label>
                <label><input type="radio" name="q11" value="2" required> I am quite annoyed or irritated a good deal of the time.</label>
                <label><input type="radio" name="q11" value="3" required> I feel irritated all the time.</label>
            </div>
            <div class="question">
                <p>Question 12</p>
                <label><input type="radio" name="q12" value="0" required> I have not lost interest in other people.</label>
                <label><input type="radio" name="q12" value="1" required> I am less interested in other people than I used to be.</label>
                <label><input type="radio" name="q12" value="2" required> I have lost most of my interest in other people.</label>
                <label><input type="radio" name="q12" value="3" required> I have lost all of my interest in other people.</label>
            </div>
		</fieldset>

        <!-- Step 5 -->
		<fieldset class="step">
            <div class="question">
                <p>Question 13</p>
                <label><input type="radio" name="q13" value="0" required> I make decisions about as well as I ever could.</label>
                <label><input type="radio" name="q13" value="1" required> I put off making decisions more than I used to.</label>
                <label><input type="radio" name="q13" value="2" required> I have greater difficulty in making decisions more than I used to.</label>
                <label><input type="radio" name="q13" value="3" required> I can't make decisions at all anymore.</label>
            </div>
            <div class="question">
                <p>Question 14</p>
                <label><input type="radio" name="q14" value="0" required> I don't feel that I look any worse than I used to.</label>
                <label><input type="radio" name="q14" value="1" required> I am worried that I am looking old or unattractive.</label>
                <label><input type="radio" name="q14" value="2" required> I feel there are permanent changes in my appearance that make me look unattractive.</label>
                <label><input type="radio" name="q14" value="3" required> I believe that I look ugly.</label>
            </div>
            <div class="question">
                <p>Question 15</p>
                <label><input type="radio" name="q15" value="0" required> I can work about as well as before.</label>
                <label><input type="radio" name="q15" value="1" required> It takes an extra effort to get started at doing something.</label>
                <label><input type="radio" name="q15" value="2" required> I have to push myself very hard to do anything.</label>
                <label><input type="radio" name="q15" value="3" required> I can't do any work at all.</label>
            </div>
		</fieldset>

        <!-- Step 6  -->
		<fieldset class="step">
            <div class="question">
                <p>Question 16</p>
                <label><input type="radio" name="q16" value="0" required> I can sleep as well as usual.</label>
                <label><input type="radio" name="q16" value="1" required> I don't sleep as well as I used to.</label>
                <label><input type="radio" name="q16" value="2" required> I wake up 1-2 hours earlier than usual and find it hard to get back to sleep.</label>
                <label><input type="radio" name="q16" value="3" required> I wake up several hours earlier than I used to and cannot get back to sleep.</label>
            </div>
            <div class="question">
                <p>Question 17</p>
                <label><input type="radio" name="q17" value="0" required> I don't get more tired than usual.</label>
                <label><input type="radio" name="q17" value="1" required> I get tired more easily than I used to.</label>
                <label><input type="radio" name="q17" value="2" required> I get tired from doing almost anything.</label>
                <label><input type="radio" name="q17" value="3" required> I am too tired to do anything.</label>
            </div>
            <div class="question">
                <p>Question 18</p>
                <label><input type="radio" name="q18" value="0" required> My appetite is no worse than usual.</label>
                <label><input type="radio" name="q18" value="1" required> My appetite is not as good as it used to be.</label>
                <label><input type="radio" name="q18" value="2" required> My appetite is much worse now.</label>
                <label><input type="radio" name="q18" value="3" required> I have no appetite at all anymore.</label>
            </div>
		</fieldset>


        <!-- Step 7  -->
		<fieldset class="step">
            <div class="question">
                <p>Question 19</p>
                <label><input type="radio" name="q19" value="0" required> I haven't lost much weight, if any, lately.</label>
                <label><input type="radio" name="q19" value="1" required> I have lost more than five pounds.</label>
                <label><input type="radio" name="q19" value="2" required> I have lost more than ten pounds.</label>
                <label><input type="radio" name="q19" value="3" required> I have lost more than fifteen pounds.</label>
            </div>
            <div class="question">
                <p>Question 20</p>
                <label><input type="radio" name="q20" value="0" required> I am no more worried about my health than usual.</label>
                <label><input type="radio" name="q20" value="1" required> I am worried about physical problems like aches, pains, upset stomach, or constipation.</label>
                <label><input type="radio" name="q20" value="2" required> I am very worried about physical problems and it's hard to think of much else.</label>
                <label><input type="radio" name="q20" value="3" required> I am so worried about my physical problems that I cannot think of anything else.</label>
            </div>
            <div class="question">
                <p>Question 21</p>
                <label><input type="radio" name="q21" value="0" required> I have not noticed any recent change in my interest in sex.</label>
                <label><input type="radio" name="q21" value="1" required> I am less interested in sex than I used to be.</label>
                <label><input type="radio" name="q21" value="2" required> I have almost no interest in sex.</label>
                <label><input type="radio" name="q21" value="3" required> I have lost interest in sex completely.</label>
            </div>
		</fieldset>

        <div class="form-navigation">
            <button class="form-btn" type="button" onclick="prevStep()" id="prevButton" >Previous</button>
            <button class="form-btn" type="button" onclick="nextStep()" id="nextButton" >Next</button>
            <button type="submit" style="display: none;" id="submitBtn">Submit</button>
        </div>
    </form>
        
    </div>

		<div id="results" style="display: none;">
			<h2>Results:</h2>
			<div id="extremeDepression" style="display: none;" class="result">
				<p>Your assessment indicates you may suffer from extreme depression. Contact a healthcare provider immediately.</p>
			</div>

			<div id="severeDepression" style="display: none;" class="result">
				<p>Your assessment indicates you may suffer from severe depression. Contact a healthcare provider immediately.</p>
			</div>

			<div id="moderateDepression" style="display: none;" class="result">
				<p>Your assessment indicates you may suffer from moderate depression. Contact a healthcare provider to seek help.</p>
			</div>

			<div id="borderlineDepression" style="display: none;" class="result">
				<p>Your assessment indicates you may suffer from borderline clinical depression. Contact a healthcare provider to seek help.</p>
			</div>

			<div id="mildmoodDisturbance" style="display: none;" class="result">
				<p>Your assessment indicates you may suffer from mild mood disturbance. Contact a healthcare provider to seek help.</p>
			</div>

			<div id="normal" style="display: none;" class="result">
				<p>These ups and downs are considered normal.</p>
			</div>

		</div>
		<div>
			<p style="text-align:center; font-size:14px;">
				Powered by <a style=" color:black;" href="https://kinderinthekeys.com/" target="_blank">Kinder in the Keys</a>
			</p>
		</div>
    <?php
    return ob_get_clean(); // Return the buffered content.
}


function depression_quiz_enqueue_assets() {
    // Enqueue CSS
    wp_enqueue_style('depression-quiz-style', plugin_dir_url(__FILE__) . 'assets/style.css');

    // Enqueue JavaScript
    wp_enqueue_script('depression-quiz-script', plugin_dir_url(__FILE__) . 'assets/script.js', array('jquery'), '1.0', true);
}
add_action('wp_enqueue_scripts', 'depression_quiz_enqueue_assets');

add_shortcode('depression_quiz', 'depression_quiz_shortcode');